<!--Ovde cu da stavim da se nista ne crveni dok se prvi put ne pritisne dugme,
a kada se pritisne sve pogresno ce se crveneti i ispisace se sta je tacno problem.-->

<h3>Create trainer account</h3>

<form [formGroup]="trainerForm" class="ui form" (ngSubmit)="register()" *ngIf='somethingIsNotValidTrainer || passwordNotConfirmed; else allIsValidTrainer' >
  <div class="required fluid field" [ngClass]="{error: nameHasErrors()}">
    <label>First name</label>
    <input type="text" formControlName="name">
  </div>

  <div class="ui negative messages" *ngIf='nameErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of nameErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: surnameHasErrors()}">
    <label>Last name</label>
    <input type="text" formControlName="surname">
  </div>

  <div class="ui negative messages" *ngIf='surnameErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of surnameErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: usernameHasErrors()}">
    <label>Username</label>
    <input type="text" formControlName="username">
  </div>

  <div class="ui negative messages" *ngIf='usernameErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of usernameErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: emailHasErrors()}">
    <label>Email</label>
    <input type="text" formControlName="email">
  </div>

  <div class="ui negative messages" *ngIf='emailErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of emailErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: cityHasErrors()}">
    <label>City</label>
    <input type="text" formControlName="city">
  </div>

  <div class="ui negative messages" *ngIf='cityErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of cityErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: municipalityHasErrors()}">
    <label>Municipality</label>
    <input type="text" formControlName="municipality">
  </div>

  <div class="ui negative messages" *ngIf='municipalityErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of municipalityErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: dateOfBirthHasErrors()}">
    <label>dateOfBirth of birth</label>
    <input type="date" formControlName="dateOfBirth">
  </div>

  <div class="ui negative messages" *ngIf='dateOfBirthErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of dateOfBirthErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: passwordErrors()}">
    <label>Password</label>
    <input type="password" formControlName="password">
  </div>

  <div class="ui negative messages" *ngIf='passwordErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of passwordErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field" [ngClass]="{error: cnfPasswordHasErrors() || passwordNotConfirmed}">
    <label>Confirm password</label>
    <input type="password" formControlName="cnfPassword" >
  </div>

  <div class="ui negative messages" *ngIf='cnfPasswordErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of cnfPasswordErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="ui negative messages" *ngIf='passwordNotConfirmed'>
    <ul>
      <li> Passwords must match </li>
    </ul>
  </div>

  <div class="required grouped field" [ngClass]="{error: genderHasErrors()}">
    <label>Gender</label>
    <div class='field'>
      <div class='ui radio checkbox'>
        <input type='radio' value="male" formControlName="gender">
        <label>Male</label>
      </div>
    </div>
    <div class='field'>
      <div class='ui radio checkbox'>
        <input type='radio' value="female" formControlName="gender">
        <label>Female</label>
      </div>
    </div>
    <div class='field'>
      <div class='ui radio checkbox'>
        <input type='radio' value="other" formControlName="gender">
        <label>Other</label>
      </div>
    </div>
  </div>
  <div class="ui negative messages" *ngIf='genderErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of genderErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>


  <div class="required fluid field" [ngClass]="{error: priceHasErrors()}">
    <label>Approximate Price (€)</label>
    <input type="number" formControlName="price">
  </div>

  <div class="ui negative messages" *ngIf='priceErrors().length > 0'>
    <ul>
      <li *ngFor='let errorMessage of priceErrors()'>{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="required fluid field">
    <label>Category</label>

    <div class="field category" *ngFor="let category of categoriesFormArray.controls; let i = index" formArrayName="categories" >
    <label> {{categories[i]}}</label>
    <input type="checkbox" [formControlName]="i">
    </div>
  </div>

  <button class="ui fluid button" type="submit">Create account</button>
</form>

<ng-template #allIsValidTrainer>
  <form [formGroup]="trainerForm" class="ui form" (ngSubmit)="register()">
    <div class="required fluid field">
      <label>First name</label>
      <input type="text" formControlName="name">
    </div>

    <div class="required fluid field">
      <label>Last name</label>
      <input type="text" formControlName="surname">
    </div>

    <div class="required fluid field">
      <label>Username</label>
      <input type="text" formControlName="username">
    </div>

    <div class="required fluid field">
      <label>Email</label>
      <input type="text" formControlName="email">
    </div>

    <div class="required fluid field">
      <label>City</label>
      <input type="text" formControlName="city">
    </div>

    <div class="required fluid field">
      <label>Municipality</label>
      <input type="text" formControlName="municipality">
    </div>

    <div class="required fluid field">
      <label>Date of birth</label>
      <input type="date" formControlName="dateOfBirth">
    </div>

    <div class="required fluid field">
      <label>Password</label>
      <input type="password" formControlName="password">
    </div>

    <div class="required fluid field">
      <label>Confirm password</label>
      <input type="password" formControlName="cnfPassword" >
    </div>

    <div id="rate"class="required grouped field">
      <label>Gender</label>
      <div class='field'>
        <div class='ui radio checkbox'>
          <input type='radio' value="male" formControlName="gender">
          <label>Male</label>
        </div>
      </div>
      <div class='field'>
        <div class='ui radio checkbox'>
          <input type='radio' value="female" formControlName="gender">
          <label>Female</label>
        </div>
      </div>
      <div class='field'>
        <div class='ui radio checkbox'>
          <input type='radio' value="other" formControlName="gender">
          <label>Other</label>
        </div>
      </div>
    </div>

    <div class="required fluid field">
      <label>Approximate Price (€)</label>
      <input type="number" formControlName="price">
    </div>

    <div class="required fluid field">
      <label>Category</label>

      <div class="field category" *ngFor="let category of categoriesFormArray.controls; let i = index" formArrayName="categories" >
      <label> {{categories[i]}}</label>
      <input type="checkbox" [formControlName]="i">
      </div>
    </div>


    <button class="ui fluid button" type="submit">Create account</button>
  </form>
</ng-template>
